# Interface AttributeRow

interface AttributeRow {
attributeId ?: string;
isInheritable ?: boolean;
name : string;
noteId ?: string;
position ?: null | number;
type : AttributeType ;
utcDateModified ?: string;
value ?: string;
}

- Defined in src/becca/entities/rows.ts:79

##### Index

### Properties

attributeId?
isInheritable?
name
noteId?
position?
type
utcDateModified?
value?

## Properties

### `Optional` attributeId

attributeId?: string

- Defined in src/becca/entities/rows.ts:80

### `Optional` isInheritable

isInheritable?: boolean

- Defined in src/becca/entities/rows.ts:86

### name

name: string

- Defined in src/becca/entities/rows.ts:83

### `Optional` noteId

noteId?: string

- Defined in src/becca/entities/rows.ts:81

### `Optional` position

position?: null | number

- Defined in src/becca/entities/rows.ts:84

### type

type: AttributeType

- Defined in src/becca/entities/rows.ts:82

### `Optional` utcDateModified

utcDateModified?: string

- Defined in src/becca/entities/rows.ts:87

### `Optional` value

value?: string

- Defined in src/becca/entities/rows.ts:85